import { fetch, post } from '@/api/http'
export default {
    getBlobSAS: function(data) {
        return post('/api/File/getBlobSAS', data)
    },
    //最开始使用的blob授权API
    getContainerSAS: function(data) {
        return post('/api/File/getContainerSAS', data)
    },
    //获取blob容器读写创建
    blobSasRCW: function (data) {
        return post('/blob/sas-rcwld', data)
    },
    //获取blob容器只读创建
    blobSasR: function(data) {
        return post('/blob/sas-r', data)
    },
    //单文件只读权限
    urlSasR: function(data) {
        return post('/blob/sas-url-r', data)
    },
    //获取容器空间
    getContainerSize: function (data) {
        return post('/blob/get-blobsize', data)
    },
	// 删除blob指定目录下的所有文件
	deletePrefix: function (data) {
        return post('/blob/delete-prefix', data)
    },
    // 批量删除blob
	deleteBlobs: function (data) {
        return post('/blob/delete-blobs', data)
    },
    // 上传文件之前需要先检查文件是否存在
	checkBlobs: function (data) {
        return post('/blob/check-blobsize', data)
    },
    // 上传文件之后需要更新blob空间
	updateSize: function (data) {
        return post('/blob/update-blobsize', data)
    }
}
